Description

The StatBase service is updated and used by the Kenya Marine and Fisheries Research Institute (KMFRI) in Mombasa, Kenya.

It is a service centralizing statistical tables provided by South-West Indian Ocean countries, such as Kenya, Tanzania, Mozambique,

South Africa, Seychelles, Mauritius, Comores, France (La Reunion), Madagascar.

The StatBase web application and the related database are indeed hosted by D4Science on the

statbase1.smartfish.d4science.org machine, having these aliases: statbase-dev.smartfish.d4science.org,

statbase1.smartfish.d4science.org, 146.48.123.114

This ticket will explore the usage of this machine for tracing statistics about D4Science exploitation.

Related issues:

Related to D4Science Infrastructure - Task #844: Provide nagios checks for we... Closed Sep 30, 2015

History

#2 - Sep 23, 2015 05:56 PM - Gianpaolo Coro

- Status changed from New to In Progress

More information about StatBase is contained in the presentation by Dr. Harrison Ong'anda at the recent FAO Regional Data policies Workshop: 

http://goo.gl/bZ2I4Y

From a first analysis, the following are the locations/organizations that most used the service:

Users from Italy: 116 requests.

FAO: 75 requests

Digital Ocean Cloud infrastructure: 41 req.

Rapidswitch hosting infrastructure: 29 req.

Requests from China: 15 req.

Requests from Russia: 14 req.

Requests from Netherlands: 6 req.

Microsoft infrastructure: 5 req.

#3 - Sep 24, 2015 12:34 PM - Gianpaolo Coro

- % Done changed from 0 to 50

The StatBase application is a free access web app that can be used at this address:

http://statbase1.smartfish.d4science.org/statbase/StartPage.action?request_locale=en

 It is notable that it contains a very large amount of time series, vessel routes and catch statistics.

#4 - Sep 24, 2015 01:18 PM - Gianpaolo Coro

- % Done changed from 50 to 60

From the scattered and non-continuous logs on the machine, it is possible to estimate an average number of 165 interactions (i.e. users, with good

approximation) per month for this service.

I have asked detailed information to the maintainers of this service.

#5 - Sep 29, 2015 12:34 PM - Gianpaolo Coro

- Status changed from In Progress to Closed
- % Done changed from 60 to 100

I report a summary after an information exchange with Yann Laurent (FAO):

StatBase is directly accessible through Chimaera. It is strategic to SWIOFC (the SWIO fisheries commission) as regional database, but it is not used

at SWIO country level. At this level, countries' first concern is national data collection. FAO is planning to have workshops, involving SWIO countries,

to promote a standard approach for producing common indicators using both regional and national data. 

The rationale is to collate data at regional level when national level does not exist. From these data, also socio-economic indicators should be

extracted/estimated.

#6 - Sep 30, 2015 11:21 AM - Pasquale Pagano

GP please register it in the infrastructure registry in the FARM scope. Even if we do not provide access to it via a VRE it will allow us to monitor.

Roberto, please open a ticket to put it under Nagios.

#7 - Sep 30, 2015 02:24 PM - Gianpaolo Coro

The resource for the application has been created at "infrastructure" scope level, and has been assigned to the following VRE, which fit its features

provisioning and its access policies: StocksAndFisheriesKB and StockAssessment

#8 - Sep 30, 2015 05:32 PM - Roberto Cirillo

Pasquale Pagano wrote:

GP please register it in the infrastructure registry in the FARM scope. Even if we do not provide access to it via a VRE it will allow us to monitor.

Roberto, please open a ticket to put it under Nagios.

 Gianpaolo Coro is it a webapp running on tomcat? if it is right, could you give me the port? Again, have you a http url for a more specific nagios

check?

#9 - Sep 30, 2015 05:44 PM - Gianpaolo Coro

The service is running under tomcat (port 8080) with an Apache proxy. The proxy is on the port 80 and forwards to port 8080. The user is root.

The machine and the service is not maintained by CNR.

The link to the application for testing is the following: 

http://statbase1.smartfish.d4science.org/statbase/StartPage.action?request_locale=en

#10 - Sep 30, 2015 06:02 PM - Pasquale Pagano

Roberto Cirillo any tomcat running on the infrastructure should be equipped with SmartGears. Any. This will solve so many issue and we will be able

to better monitor and manage things. It was created not only to manage our services but to manage any application running in a servlet container.

Please open a ticket to schedule an activity on d4science. We will list all tomcat instances running third-parties applications and we will make a plan

to enhance them with SmartGears. Put as observers of the ticket Lucio Lelii and Gianpaolo Coro please.

#11 - Sep 30, 2015 06:19 PM - Roberto Cirillo

Gianpaolo Coro wrote:

The service is running under tomcat (port 8080) with an Apache proxy. The proxy is on the port 80 and forwards to port 8080. The user is root.

The machine and the service is not maintained by CNR.

The link to the application for testing is the following: 

http://statbase1.smartfish.d4science.org/statbase/StartPage.action?request_locale=en

 

WWhy the user is root? if the tomcat is running on port 8080, I guess the user should be an unprivileged user. There is another reason to have a

tomcat under root?

#12 - Sep 30, 2015 06:44 PM - Gianpaolo Coro

This web service as well as the web application has been installed by Kenyan personnel, because KMFRI could not guarantee a continuity of

contracts for developers and maintainers. The goal of their presentation at the FAO meeting was also to find funds for activities around this service.

Altering the application to manage authorization tokens or changing the tomcat configuration may require contacting them through FAO people (Yann

Laurent), but there could also be no technical maintenance staff payed at the moment.

#13 - Sep 30, 2015 07:58 PM - Pasquale Pagano

Running with SmartGears does not mean that the authorization via token has to be enforced. We can continue to run without authorization. However

accounting and monitoring will be ensured for free by SmartGears. 
https://redmine.dev.d4science.org/users/269
https://redmine.dev.d4science.org/users/601
https://redmine.dev.d4science.org/users/423
https://redmine.dev.d4science.org/users/269


#14 - Oct 01, 2015 10:16 AM - Roberto Cirillo

- Related to Task #844: Provide nagios checks for webapp running on "statbase1.smartfish.d4science.org" added
